/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */

/*
 *  Copyright (C) 2005 Masataka Ikezoe
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __THUMBNAIL_H__
#define __THUMBNAIL_H__

typedef struct _FbThumbnail FbThumbnail;
typedef struct _FbThumbWin FbThumbWin;

struct _FbThumbnail
{
	GtkWidget *eventbox;
	GtkWidget *image;
	GtkWidget *label;

	gchar *path;

	gint width;
	gint height;
	gint label_width;
	gint label_height;
};

struct _FbThumbWin
{
	GtkWidget *top;
	GtkWidget *scrolled;
	GtkWidget *layout;
	GdkPixbuf *background; /* not use */

	GList *thumb_list;

	gint width;
	gint height;
};

extern FbThumbWin *focus_thumbwin;

void fb_thumbwin_start(GList *path_list);
void fb_thumbwin_end(FbThumbWin *thumbwin);

#endif /* __THUMBNAIL_H__ */
